@import "~sass/media";
@import '~sass/variables';
.rating-bg {
    background-color: #fff;
    border: 1px solid #dcdcdc;
}
.rating-bar-group {
    padding: 0;
}
@-moz-document url-prefix() {
    .rating-bar-group .row {
        margin: 0;
    }
  }
.rating-count {
    display: inline-block;
    font-size: 20px;
    color: #212121;
    margin-top: 4px;
    font-weight: bold;
}
.rating-star {
    font-size: 20px;
    padding: 0 0 0 4px;
    display: inline-block;
    color: #212121;
}
.rating-count-lable {
    text-align: center;
    font-size: 13px;
    line-height: 1.5;
    top: 0.5vh;
}
.rating-bar-txt {
    font-size: 12px;
    font-weight: 500;
    color: #212121;
    padding: 2px 0 2px 0;
}

.rating-bar-star {
    font-size: 12px;
    color: #212121;
    padding: 0 0 0 2px;
}
.rating-bar-txt1 {
    font-size: 12px;
    color: #878787;
    padding: 0 0 0 12px;
    margin-top: -1.5vh;
    float: right;
    @include for-size(phone-only) {
      margin-top: -2.5vh;
    }
    @include for-size(mobile-lanscape) {
      margin-top: -3.5vh;
    }
    @include for-size(tablet-portrait-up) {
      margin-top: -2.5vh;
    }
}
.rating-bar .green-bar {
    background-color: #388e3c;
}
.rating-bar .red-bar {
    background-color: #ff6161;
}

.rating-bar .orange-bar {
    background-color: #ff9f00;
}

.rating-bar .greenbar-pos {
    left: 0;
    position: absolute;
    width: 0%;
    height: 5px;
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    -webkit-transform-origin: left center;
    transform-origin: left center;
    transition: -webkit-transform 0.4s cubic-bezier(0, 0, 0.3, 1) 0.3s;
    transition: transform 0.4s cubic-bezier(0, 0, 0.3, 1) 0.3s;
    transition: transform 0.4s cubic-bezier(0, 0, 0.3, 1) 0.3s, -webkit-transform 0.4s cubic-bezier(0, 0, 0.3, 1) 0.3s;
    border-radius: 100px;
}

.rating-bar {
    height: 5px;
    position: relative;
    background: #f0f0f0;
    margin-top: -16px;
    margin-left: 17px;
    border-radius: 100px;
    width: 85%;
}
@-moz-document url-prefix() {
  .rating-bar{
    margin-left: 25px !important;
  }

}
.rating-box {
    background-color: #fff;
    padding: 10px;
    z-index: 9;
    position: absolute;
    width: 52vh;
    border: 2px solid #eaeaea;
    display: inline-grid;
    font-size: 15px;
    line-height: 2;
}

.rating-box::before {
    bottom: 100%;
    left: 0%;
    border: solid #dcdcdc;
    content: " ";
    height: 0;
    width: 0px;
    position: absolute;
    pointer-events: none;
    border-bottom-color: #e0dede;
    border-width: 8px;
    margin-left: 8px;
    -webkit-transform: rotate(-90deg);
    transform: rotate(0deg);
    top: -17px;
}

.rating-box-review {
    background-color: #fff;
    padding: 10px;
    z-index: 1;
    /* position: relative; */
    width: 50%;
    border: 2px solid #eaeaea;
    display: -ms-inline-grid;
    /* display: inline-grid; */
    font-size: 15px;
    line-height: 2;
    @media (min-width: 320px) and (max-width: 767px) {
      width: 100%;
    }
    // @include for-size(mobile-lanscape) {
    //   width: 90%;
    // }
    // @include for-size(tablet-portrait-up) {
    //   width: 40vh;
    // }
    // @include for-size(phone-only) {
    //   width: 75%;
    // }
    // @media screen and (min-width: 300px) and (max-width: 350px) {
    //   width: 80% !important;
    // }
    // @include for-size(tablet-portrait-up) {
    //   width: 92%;
    // }
    // @include for-size(tablet-landscape-up) {
    //   width: 75%;
    // }
    // @include for-size(mini-laptop) {
    //   width: 70%;
    // }
    // @include for-size(laptop-1366) {
    //   width: 62vh;
    // }
}
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
  .rating-box-review {
  display: inline-table;
  }
  .rating-bar{
    margin-left:25px;
    width: 80%;
  }
}
.rating-box-review .col-md-9 {
    @media (max-width: 415px) {
        margin-left: 2.5vh;
        width: 49vh;
    }
}

// .rating-box-review {
//     @media (max-width: 415px) {
//         width: 45vh;
//     }
// }
@include for-size(phone-only) {
.responsive-m{
  margin-left:15px;
}
}
@include for-size(mobile-lanscape) {
  .responsive-m{
    padding-left:25px;
  }
}
// .rating-box-review{
//   @media (max-width: 800px) {
//       width: 40vh;
//   }
// }
@-moz-document url-prefix() {
  @media (max-width: 800px) {
  .rating-box-review{
    width: 40vh !important;
  }
}
}
